com.google.appengine.api.capabilities

## Class Capability

- java.lang.Object
- - com.google.appengine.api.capabilities.Capability

-     public class Capability
      extends java.lang.Object

  A capability represents a particular feature or set of features available on the App Engine platform. To check the availability of a particular capability, use the `CapabilitiesService` API.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Capability` | `BLOBSTORE` Deprecated. This service will always be reported as being available.
    `static Capability` | `DATASTORE` Deprecated. This service will always be reported as being available. If
    `static Capability` | `DATASTORE_WRITE` Availability of datastore writes.
    `static Capability` | `IMAGES` Availability of the ImagesService.
    `static Capability` | `MAIL` Availability of theMailService.
    `static Capability` | `MEMCACHE` Availability ofMemcacheService.
    `static Capability` | `PROSPECTIVE_SEARCH` Availability of the ProspectiveSearchService.
    `static Capability` | `TASKQUEUE` Availability of TaskQueueService.
    `static Capability` | `URL_FETCH` Availability of the URLFetchService.
    `static Capability` | `XMPP` Availability of the XMPPService.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Capability(java.lang.String packageName)` Creates a new instance of a Capability.
    `Capability(java.lang.String packageName, java.lang.String name)` Creates a new instance of a Capability.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object x)`
    `java.lang.String` | `getName()` Returns the name associated with this capability.
    `java.lang.String` | `getPackageName()` Returns the package name associated with this capability.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BLOBSTORE

          @Deprecated
          public static final Capability BLOBSTORE

      Deprecated. This service will always be reported as being available.
      Availability of BlobstoreService.

    - #### DATASTORE

          @Deprecated
          public static final Capability DATASTORE

      Deprecated. This service will always be reported as being available. If
      Availability of the datastore.

    - #### DATASTORE_WRITE

          public static final Capability DATASTORE_WRITE

      Availability of datastore writes.

    - #### IMAGES

          public static final Capability IMAGES

      Availability of the ImagesService.

    - #### MAIL

          public static final Capability MAIL

      Availability of theMailService.

    - #### PROSPECTIVE_SEARCH

          public static final Capability PROSPECTIVE_SEARCH

      Availability of the ProspectiveSearchService.

    - #### MEMCACHE

          public static final Capability MEMCACHE

      Availability ofMemcacheService.

    - #### TASKQUEUE

          public static final Capability TASKQUEUE

      Availability of TaskQueueService.

    - #### URL_FETCH

          public static final Capability URL_FETCH

      Availability of the URLFetchService.

    - #### XMPP

          public static final Capability XMPP

      Availability of the XMPPService.

  - ### Constructor Detail

    - #### Capability

          public Capability(java.lang.String packageName)

      Creates a new instance of a Capability.
      Parameters:
        `packageName` - name of the package associated with this capability.

    - #### Capability

          public Capability(java.lang.String packageName,
                            java.lang.String name)

      Creates a new instance of a Capability.
      Parameters:
        `packageName` - name of the package associated with this capability.
        `name` - name of the capability.

  - ### Method Detail

    - #### getPackageName

          public java.lang.String getPackageName()

      Returns the package name associated with this capability.
      Returns:
        the package name associated with this capability.

    - #### getName

          public java.lang.String getName()

      Returns the name associated with this capability.
      Returns:
        the name associated with this capability.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object x)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`